CREATE FUNCTION "DBA"."getid_pa_leping_tun"( ) 
returns integer
begin
  declare li_return integer;
  select max(leptunnr) + 1 into li_return from pa_leping_tun;
  if li_return is null or li_return < 1 then
    set li_return=1;
    while exists(select 1 from pa_leping_tun where leptunnr = li_return) loop
      set li_return=li_return+1
    end loop
  end if;
  return(li_return)
end